## org.eclipse.jst.jsf.facesconfig.emf.impl
Class ComponentTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.ComponentTypeImpl

All Implemented Interfaces:
  ComponentType

    public class ComponentTypeImpl

extends EObjectImpl
implements ComponentType

An implementation of the model object 'Component Type'.

The following features are implemented:

- `Description`
- `Display Name`
- `Icon`
- `Component Type`
- `Component Class`
- `Facet`
- `Attribute`
- `Property`
- `Component Extension`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`NotificationChain` `basicSetComponentClass(ComponentClassType newComponentClass, NotificationChain msgs)`
`NotificationChain` `basicSetComponentType(ComponentTypeType newComponentType, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getAttribute()`
`ComponentClassType` `getComponentClass()`
`EList` `getComponentExtension()`
`ComponentTypeType` `getComponentType()`
`EList` `getDescription()`
`EList` `getDisplayName()`
`EList` `getFacet()`
`EList` `getIcon()`
`java.lang.String` `getId()`
`EList` `getProperty()`
`void` `setComponentClass(ComponentClassType newComponentClass)`
`void` `setComponentType(ComponentTypeType newComponentType)`
`void` `setId(java.lang.String newId)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    public EList getDescription()

  Specified by:
    `getDescription` in interface `ComponentType`
  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getComponentType_Description()`

### getDisplayName

    public EList getDisplayName()

  Specified by:
    `getDisplayName` in interface `ComponentType`
  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getComponentType_DisplayName()`

### getIcon

    public EList getIcon()

  Specified by:
    `getIcon` in interface `ComponentType`
  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getComponentType_Icon()`

### getComponentType

    public ComponentTypeType getComponentType()

  Specified by:
    `getComponentType` in interface `ComponentType`
  Returns:
    the value of the 'Component Type' containment reference.
  See Also:
    `ComponentType.setComponentType(ComponentTypeType)`, `FacesConfigPackage.getComponentType_ComponentType()`

### basicSetComponentType

    public NotificationChain basicSetComponentType(ComponentTypeType newComponentType,
                                                   NotificationChain msgs)

  Parameters:
    `newComponentType` -
    `msgs` -
  Returns:
    the notification chain

### setComponentType

    public void setComponentType(ComponentTypeType newComponentType)

  Specified by:
    `setComponentType` in interface `ComponentType`
  Parameters:
    `newComponentType` - the new value of the 'Component Type' containment reference.
  See Also:
    `ComponentType.getComponentType()`

### getComponentClass

    public ComponentClassType getComponentClass()

  Specified by:
    `getComponentClass` in interface `ComponentType`
  Returns:
    the value of the 'Component Class' containment reference.
  See Also:
    `ComponentType.setComponentClass(ComponentClassType)`, `FacesConfigPackage.getComponentType_ComponentClass()`

### basicSetComponentClass

    public NotificationChain basicSetComponentClass(ComponentClassType newComponentClass,
                                                    NotificationChain msgs)

  Parameters:
    `newComponentClass` -
    `msgs` -
  Returns:
    the notification chain

### setComponentClass

    public void setComponentClass(ComponentClassType newComponentClass)

  Specified by:
    `setComponentClass` in interface `ComponentType`
  Parameters:
    `newComponentClass` - the new value of the 'Component Class' containment reference.
  See Also:
    `ComponentType.getComponentClass()`

### getFacet

    public EList getFacet()

  Specified by:
    `getFacet` in interface `ComponentType`
  Returns:
    the value of the 'Facet' containment reference list.
  See Also:
    `FacesConfigPackage.getComponentType_Facet()`

### getAttribute

    public EList getAttribute()

  Specified by:
    `getAttribute` in interface `ComponentType`
  Returns:
    the value of the 'Attribute' containment reference list.
  See Also:
    `FacesConfigPackage.getComponentType_Attribute()`

### getProperty

    public EList getProperty()

  Specified by:
    `getProperty` in interface `ComponentType`
  Returns:
    the value of the 'Property' containment reference list.
  See Also:
    `FacesConfigPackage.getComponentType_Property()`

### getComponentExtension

    public EList getComponentExtension()

  Specified by:
    `getComponentExtension` in interface `ComponentType`
  Returns:
    the value of the 'Component Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getComponentType_ComponentExtension()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `ComponentType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `ComponentType.setId(String)`, `FacesConfigPackage.getComponentType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `ComponentType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `ComponentType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()